# DataExchange
TKIGES
IGESGeom

# IGESGeom_Array1OfBoundary Class Reference

`#include <IGESGeom_Array1OfBoundary.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESGeom_Array1OfBoundary (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESGeom_Array1OfBoundary (const Handle(IGESGeom_Boundary)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESGeom_Boundary)&V)
Standard_EXPORT void | Destroy ()
| ~IGESGeom_Array1OfBoundary ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESGeom_Array1OfBoundary & | Assign (const IGESGeom_Array1OfBoundary &Other)
const IGESGeom_Array1OfBoundary & | operator= (const IGESGeom_Array1OfBoundary &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESGeom_Boundary)&Value)
const Handle_IGESGeom_Boundary & | Value (const Standard_Integer Index) const
const Handle_IGESGeom_Boundary & | operator() (const Standard_Integer Index) const
Handle_IGESGeom_Boundary & | ChangeValue (const Standard_Integer Index)
Handle_IGESGeom_Boundary & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESGeom_Array1OfBoundary (const IGESGeom_Array1OfBoundary &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Array1OfBoundary::IGESGeom_Array1OfBoundary | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESGeom_Array1OfBoundary::IGESGeom_Array1OfBoundary | ( | const Handle(IGESGeom_Boundary)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESGeom_Array1OfBoundary::~IGESGeom_Array1OfBoundary | ( |  | ) | `[inline]`

Standard_EXPORT IGESGeom_Array1OfBoundary::IGESGeom_Array1OfBoundary | ( | const IGESGeom_Array1OfBoundary & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESGeom_Array1OfBoundary& IGESGeom_Array1OfBoundary::Assign | ( | const IGESGeom_Array1OfBoundary & | Other | ) |

Handle_IGESGeom_Boundary& IGESGeom_Array1OfBoundary::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESGeom_Array1OfBoundary::Destroy | ( |  | ) |

Standard_EXPORT void IGESGeom_Array1OfBoundary::Init | ( | const Handle(IGESGeom_Boundary)& | V | ) |

Standard_Boolean IGESGeom_Array1OfBoundary::IsAllocated | ( |  | ) | const

Standard_Integer IGESGeom_Array1OfBoundary::Length | ( |  | ) | const

Standard_Integer IGESGeom_Array1OfBoundary::Lower | ( |  | ) | const

void IGESGeom_Array1OfBoundary::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESGeom_Array1OfBoundary::operator new | ( | size_t | size | ) | `[inline]`

void* IGESGeom_Array1OfBoundary::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESGeom_Boundary& IGESGeom_Array1OfBoundary::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESGeom_Boundary& IGESGeom_Array1OfBoundary::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESGeom_Array1OfBoundary& IGESGeom_Array1OfBoundary::operator= | ( | const IGESGeom_Array1OfBoundary & | Other | ) | `[inline]`

void IGESGeom_Array1OfBoundary::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESGeom_Boundary)& | Value
| ) |

Standard_Integer IGESGeom_Array1OfBoundary::Upper | ( |  | ) | const

const Handle_IGESGeom_Boundary& IGESGeom_Array1OfBoundary::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESGeom_Array1OfBoundary::isAllocated `[private]`

Standard_Integer IGESGeom_Array1OfBoundary::myLowerBound `[private]`

Standard_Address IGESGeom_Array1OfBoundary::myStart `[private]`

Standard_Integer IGESGeom_Array1OfBoundary::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_Array1OfBoundary.hxx